# PetscDataTypeGetSize

Gets the size (in bytes) of a PETSc datatype

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDataTypeGetSize(PetscDataType ptype,PetscInt *size)

Not collective

### Input Parameter

ptype -the PETSc datatype name (for example PETSC_DOUBLE)

### Output Parameter

size -the size in bytes (for example the size of PETSC_DOUBLE is 8)

### See Also

PetscDataType, PetscDataTypeToMPIDataType()

Level:advanced
Location: src/sys/objects/ptype.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex5f90.F90.html